Skip to main content
POST
/
v2
/
tickets
/
{ticket_id}
/
external-messages
Create Ticket External Messages
curl --request POST \
  --url https://public.api.serval.com/v2/tickets/{ticket_id}/external-messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channelTarget": {
    "email": {}
  },
  "messages": [
    {
      "messageId": "<string>",
      "externalMessageId": "<string>",
      "externalMessageData": {}
    }
  ]
}
'
{
  "data": [
    {
      "id": "<string>",
      "externalMessageId": "<string>",
      "messageId": "<string>",
      "sourceId": "<string>",
      "isOrigin": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "toRecipientEmails": [
        "<string>"
      ],
      "ccRecipientEmails": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticket_id
string
required

The Serval ticket the messages belong to.

Body

application/json
channelTarget
Email · object

The channel the messages should be registered against. Resolves to the same source the egresser uses to decide what to sync.

messages
ExternalMessageRegistration · object[]

The messages to register as already present in the external channel. Provide one for a single registration or many for a bulk registration.

Response

Success

data
ExternalMessage · object[]

The external message links that were created or updated.